/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2018 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.fontawesome;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum FontAwesome implements Ikon {
    // last is f2e0
    ADDRESS_BOOK("fa-address-book", '\uf2b9'),
    ADDRESS_BOOK_O("fa-address-book-o", '\uf2ba'),
    ADDRESS_CARD("fa-address-card", '\uf2bb'),
    ADDRESS_CARD_O("fa-address-card-o", '\uf2bc'),
    ADJUST("fa-adjust", '\uf042'),
    ADN("fa-adn", '\uf170'),
    ALIGN_CENTER("fa-align-center", '\uf037'),
    ALIGN_JUSTIFY("fa-align-justify", '\uf039'),
    ALIGN_LEFT("fa-align-left", '\uf036'),
    ALIGN_RIGHT("fa-align-right", '\uf038'),
    AMAZON("fa-amazon", '\uf270'),
    AMBULANCE("fa-ambulance", '\uf0f9'),
    AMERICAN_SIGN_LANGUAGE_INTERPRETING("fa-american-sign-language-interpreting", '\uf2a3'),
    ANCHOR("fa-anchor", '\uf13d'),
    ANDROID("fa-android", '\uf17b'),
    ANGELLIST("fa-angellist", '\uf209'),
    ANGLE_DOUBLE_DOWN("fa-angle-double-down", '\uf103'),
    ANGLE_DOUBLE_LEFT("fa-angle-double-left", '\uf100'),
    ANGLE_DOUBLE_RIGHT("fa-angle-double-right", '\uf101'),
    ANGLE_DOUBLE_UP("fa-angle-double-up", '\uf102'),
    ANGLE_DOWN("fa-angle-down", '\uf107'),
    ANGLE_LEFT("fa-angle-left", '\uf104'),
    ANGLE_RIGHT("fa-angle-right", '\uf105'),
    ANGLE_UP("fa-angle-up", '\uf106'),
    APPLE("fa-apple", '\uf179'),
    ARCHIVE("fa-archive", '\uf187'),
    AREA_CHART("fa-area-chart", '\uf1fe'),
    ARROWS("fa-arrows", '\uf047'),
    ARROWS_ALT("fa-arrows-alt", '\uf0b2'),
    ARROWS_H("fa-arrows-h", '\uf07e'),
    ARROWS_V("fa-arrows-v", '\uf07d'),
    ARROW_CIRCLE_DOWN("fa-arrow-circle-down", '\uf0ab'),
    ARROW_CIRCLE_LEFT("fa-arrow-circle-left", '\uf0a8'),
    ARROW_CIRCLE_O_DOWN("fa-arrow-circle-o-down", '\uf01a'),
    ARROW_CIRCLE_O_LEFT("fa-arrow-circle-o-left", '\uf190'),
    ARROW_CIRCLE_O_RIGHT("fa-arrow-circle-o-right", '\uf18e'),
    ARROW_CIRCLE_O_UP("fa-arrow-circle-o-up", '\uf01b'),
    ARROW_CIRCLE_RIGHT("fa-arrow-circle-right", '\uf0a9'),
    ARROW_CIRCLE_UP("fa-arrow-circle-up", '\uf0aa'),
    ARROW_DOWN("fa-arrow-down", '\uf063'),
    ARROW_LEFT("fa-arrow-left", '\uf060'),
    ARROW_RIGHT("fa-arrow-right", '\uf061'),
    ARROW_UP("fa-arrow-up", '\uf062'),
    ASL_INTERPRETING("fa-asl-interpreting", '\uf2a3'),
    ASSISTIVE_LISTENING_SYSTEMS("fa-assistive-listening-systems", '\uf2a2'),
    ASTERISK("fa-asterisk", '\uf069'),
    AT("fa-at", '\uf1fa'),
    AUDIO_DESCRIPTION("fa-audio-description", '\uf29e'),
    AUTOMOBILE("fa-automobile", '\uf1b9'),
    BACKWARD("fa-backward", '\uf04a'),
    BALANCE_SCALE("fa-balance-scale", '\uf24e'),
    BAN("fa-ban", '\uf05e'),
    BANDCAMP("fa-bandcamp", '\uf2d5'),
    BANK("fa-bank", '\uf19c'),
    BARCODE("fa-barcode", '\uf02a'),
    BARS("fa-bars", '\uf0c9'),
    BAR_CHART("fa-bar-chart", '\uf080'),
    BAR_CHART_O("fa-bar-chart-o", '\uf080'),
    BATH("fa-bath", '\uf2cd'),
    BATHTUB("fa-bathtub", '\uf2cd'),
    BATTERY_0("fa-battery-0", '\uf244'),
    BATTERY_1("fa-battery-1", '\uf243'),
    BATTERY_2("fa-battery-2", '\uf242'),
    BATTERY_3("fa-battery-3", '\uf241'),
    BATTERY_4("fa-battery-4", '\uf240'),
    BATTERY_EMPTY("fa-battery-empty", '\uf244'),
    BATTERY_FULL("fa-battery-full", '\uf240'),
    BATTERY_HALF("fa-battery-half", '\uf242'),
    BATTERY_QUARTER("fa-battery-quarter", '\uf243'),
    BATTERY_THREE_QUARTERS("fa-battery-three-quarters", '\uf241'),
    BED("fa-bed", '\uf236'),
    BEER("fa-beer", '\uf0fc'),
    BEHANCE("fa-behance", '\uf1b4'),
    BEHANCE_SQUARE("fa-behance-square", '\uf1b5'),
    BELL("fa-bell", '\uf0f3'),
    BELL_O("fa-bell-o", '\uf0a2'),
    BELL_SLASH("fa-bell-slash", '\uf1f6'),
    BELL_SLASH_O("fa-bell-slash-o", '\uf1f7'),
    BICYCLE("fa-bicycle", '\uf206'),
    BINOCULARS("fa-binoculars", '\uf1e5'),
    BIRTHDAY_CAKE("fa-birthday-cake", '\uf1fd'),
    BITBUCKET("fa-bitbucket", '\uf171'),
    BITBUCKET_SQUARE("fa-bitbucket-square", '\uf172'),
    BITCOIN("fa-bitcoin", '\uf15a'),
    BLACK_TIE("fa-black-tie", '\uf27e'),
    BLIND("fa-blind", '\uf29d'),
    BLUETOOTH("fa-bluetooth", '\uf293'),
    BLUETOOTH_B("fa-bluetooth-b", '\uf294'),
    BOLD("fa-bold", '\uf032'),
    BOLT("fa-bolt", '\uf0e7'),
    BOMB("fa-bomb", '\uf1e2'),
    BOOK("fa-book", '\uf02d'),
    BOOKMARK("fa-bookmark", '\uf02e'),
    BOOKMARK_O("fa-bookmark-o", '\uf097'),
    BRAILLE("fa-braille", '\uf2a1'),
    BRIEFCASE("fa-briefcase", '\uf0b1'),
    BTC("fa-btc", '\uf15a'),
    BUG("fa-bug", '\uf188'),
    BUILDING("fa-building", '\uf1ad'),
    BUILDING_O("fa-building-o", '\uf0f7'),
    BULLHORN("fa-bullhorn", '\uf0a1'),
    BULLSEYE("fa-bullseye", '\uf140'),
    BUS("fa-bus", '\uf207'),
    BUYSELLADS("fa-buysellads", '\uf20d'),
    CAB("fa-cab", '\uf1ba'),
    CALCULATOR("fa-calculator", '\uf1ec'),
    CALENDAR("fa-calendar", '\uf073'),
    CALENDAR_CHECK_O("fa-calendar-check-o", '\uf274'),
    CALENDAR_MINUS_O("fa-calendar-minus-o", '\uf272'),
    CALENDAR_O("fa-calendar-o", '\uf133'),
    CALENDAR_PLUS_O("fa-calendar-plus-o", '\uf271'),
    CALENDAR_TIMES_O("fa-calendar-times-o", '\uf273'),
    CAMERA("fa-camera", '\uf030'),
    CAMERA_RETRO("fa-camera-retro", '\uf083'),
    CAR("fa-car", '\uf1b9'),
    CARET_DOWN("fa-caret-down", '\uf0d7'),
    CARET_LEFT("fa-caret-left", '\uf0d9'),
    CARET_RIGHT("fa-caret-right", '\uf0da'),
    CARET_SQUARE_O_DOWN("fa-caret-square-o-down", '\uf150'),
    CARET_SQUARE_O_LEFT("fa-caret-square-o-left", '\uf191'),
    CARET_SQUARE_O_RIGHT("fa-caret-square-o-right", '\uf152'),
    CARET_SQUARE_O_UP("fa-caret-square-o-up", '\uf151'),
    CARET_UP("fa-caret-up", '\uf0d8'),
    CART_ARROW_DOWN("fa-cart-arrow-down", '\uf218'),
    CART_PLUS("fa-cart-plus", '\uf217'),
    CC("fa-cc", '\uf20a'),
    CC_AMEX("fa-cc-amex", '\uf1f3'),
    CC_DINERS_CLUB("fa-cc-diners-club", '\uf24c'),
    CC_DISCOVER("fa-cc-discover", '\uf1f2'),
    CC_JCB("fa-cc-jcb", '\uf24b'),
    CC_MASTERCARD("fa-cc-mastercard", '\uf1f1'),
    CC_PAYPAL("fa-cc-paypal", '\uf1f4'),
    CC_STRIPE("fa-cc-stripe", '\uf1f5'),
    CC_VISA("fa-cc-visa", '\uf1f0'),
    CERTIFICATE("fa-certificate", '\uf0a3'),
    CHAIN("fa-chain", '\uf0c1'),
    CHAIN_BROKEN("fa-chain-broken", '\uf127'),
    CHECK("fa-check", '\uf00c'),
    CHECK_CIRCLE("fa-check-circle", '\uf058'),
    CHECK_CIRCLE_O("fa-check-circle-o", '\uf05d'),
    CHECK_SQUARE("fa-check-square", '\uf14a'),
    CHECK_SQUARE_O("fa-check-square-o", '\uf046'),
    CHEVRON_CIRCLE_DOWN("fa-chevron-circle-down", '\uf13a'),
    CHEVRON_CIRCLE_LEFT("fa-chevron-circle-left", '\uf137'),
    CHEVRON_CIRCLE_RIGHT("fa-chevron-circle-right", '\uf138'),
    CHEVRON_CIRCLE_UP("fa-chevron-circle-up", '\uf139'),
    CHEVRON_DOWN("fa-chevron-down", '\uf078'),
    CHEVRON_LEFT("fa-chevron-left", '\uf053'),
    CHEVRON_RIGHT("fa-chevron-right", '\uf054'),
    CHEVRON_UP("fa-chevron-up", '\uf077'),
    CHILD("fa-child", '\uf1ae'),
    CHROME("fa-chrome", '\uf268'),
    CIRCLE("fa-circle", '\uf111'),
    CIRCLE_O("fa-circle-o", '\uf10c'),
    CIRCLE_O_NOTCH("fa-circle-o-notch", '\uf1ce'),
    CIRCLE_THIN("fa-circle-thin", '\uf1db'),
    CLIPBOARD("fa-clipboard", '\uf0ea'),
    CLOCK_O("fa-clock-o", '\uf017'),
    CLONE("fa-clone", '\uf24d'),
    CLOSE("fa-close", '\uf00d'),
    CLOUD("fa-cloud", '\uf0c2'),
    CLOUD_DOWNLOAD("fa-cloud-download", '\uf0ed'),
    CLOUD_UPLOAD("fa-cloud-upload", '\uf0ee'),
    CNY("fa-cny", '\uf157'),
    CODE("fa-code", '\uf121'),
    CODEPEN("fa-codepen", '\uf1cb'),
    CODE_FORK("fa-code-fork", '\uf126'),
    CODIEPIE("fa-codiepie", '\uf284'),
    COFFEE("fa-coffee", '\uf0f4'),
    COG("fa-cog", '\uf013'),
    COGS("fa-cogs", '\uf085'),
    COLUMNS("fa-columns", '\uf0db'),
    COMMENT("fa-comment", '\uf075'),
    COMMENTING("fa-commenting", '\uf27a'),
    COMMENTING_O("fa-commenting-o", '\uf27b'),
    COMMENTS("fa-comments", '\uf086'),
    COMMENTS_O("fa-comments-o", '\uf0e6'),
    COMMENT_O("fa-comment-o", '\uf0e5'),
    COMPASS("fa-compass", '\uf14e'),
    COMPRESS("fa-compress", '\uf066'),
    CONNECTDEVELOP("fa-connectdevelop", '\uf20e'),
    CONTAO("fa-contao", '\uf26d'),
    COPY("fa-copy", '\uf0c5'),
    COPYRIGHT("fa-copyright", '\uf1f9'),
    CREATIVE_COMMONS("fa-creative-commons", '\uf25e'),
    CREDIT_CARD("fa-credit-card", '\uf09d'),
    CREDIT_CARD_ALT("fa-credit-card-alt", '\uf283'),
    CROP("fa-crop", '\uf125'),
    CROSSHAIRS("fa-crosshairs", '\uf05b'),
    CSS3("fa-css3", '\uf13c'),
    CUBE("fa-cube", '\uf1b2'),
    CUBES("fa-cubes", '\uf1b3'),
    CUT("fa-cut", '\uf0c4'),
    CUTLERY("fa-cutlery", '\uf0f5'),
    DASHBOARD("fa-dashboard", '\uf0e4'),
    DASHCUBE("fa-dashcube", '\uf210'),
    DATABASE("fa-database", '\uf1c0'),
    DEAF("fa-deaf", '\uf2a4'),
    DEAFNESS("fa-deafness", '\uf2a4'),
    DEDENT("fa-dedent", '\uf03b'),
    DELICIOUS("fa-delicious", '\uf1a5'),
    DESKTOP("fa-desktop", '\uf108'),
    DEVIANTART("fa-deviantart", '\uf1bd'),
    DIAMOND("fa-diamond", '\uf219'),
    DIGG("fa-digg", '\uf1a6'),
    DOLLAR("fa-dollar", '\uf155'),
    DOT_CIRCLE_O("fa-dot-circle-o", '\uf192'),
    DOWNLOAD("fa-download", '\uf019'),
    DRIBBBLE("fa-dribbble", '\uf17d'),
    DRIVERS_LICENSE("fa-drivers-license", '\uf2c2'),
    DRIVERS_LICENSE_O("fa-drivers-license-o", '\uf2c3'),
    DROPBOX("fa-dropbox", '\uf16b'),
    DRUPAL("fa-drupal", '\uf1a9'),
    EDGE("fa-edge", '\uf282'),
    EDIT("fa-edit", '\uf044'),
    EERCAST("fa-eercast", '\uf2da'),
    EJECT("fa-eject", '\uf052'),
    ELLIPSIS_H("fa-ellipsis-h", '\uf141'),
    ELLIPSIS_V("fa-ellipsis-v", '\uf142'),
    EMPIRE("fa-empire", '\uf1d1'),
    ENVELOPE("fa-envelope", '\uf0e0'),
    ENVELOPE_O("fa-envelope-o", '\uf003'),
    ENVELOPE_OPEN("fa-envelope-open", '\uf2b6'),
    ENVELOPE_OPEN_O("fa-envelope-open-o", '\uf2b7'),
    ENVELOPE_SQUARE("fa-envelope-square", '\uf199'),
    ENVIRA("fa-envira", '\uf299'),
    ERASER("fa-eraser", '\uf12d'),
    ETSY("fa-etsy", '\uf2d7'),
    EUR("fa-eur", '\uf153'),
    EURO("fa-euro", '\uf153'),
    EXCHANGE("fa-exchange", '\uf0ec'),
    EXCLAMATION("fa-exclamation", '\uf12a'),
    EXCLAMATION_CIRCLE("fa-exclamation-circle", '\uf06a'),
    EXCLAMATION_TRIANGLE("fa-exclamation-triangle", '\uf071'),
    EXPAND("fa-expand", '\uf065'),
    EXPEDITEDSSL("fa-expeditedssl", '\uf23e'),
    EXTERNAL_LINK("fa-external-link", '\uf08e'),
    EXTERNAL_LINK_SQUARE("fa-external-link-square", '\uf14c'),
    EYE("fa-eye", '\uf06e'),
    EYEDROPPER("fa-eyedropper", '\uf1fb'),
    EYE_SLASH("fa-eye-slash", '\uf070'),
    FA("fa-fa", '\uf2b4'),
    FACEBOOK("fa-facebook", '\uf09a'),
    FACEBOOK_F("fa-facebook-f", '\uf09a'),
    FACEBOOK_OFFICIAL("fa-facebook-official", '\uf230'),
    FACEBOOK_SQUARE("fa-facebook-square", '\uf082'),
    FAST_BACKWARD("fa-fast-backward", '\uf049'),
    FAST_FORWARD("fa-fast-forward", '\uf050'),
    FAX("fa-fax", '\uf1ac'),
    FA_500PX("fa-500px", '\uf26e'),
    FEMALE("fa-female", '\uf182'),
    FIGHTER_JET("fa-fighter-jet", '\uf0fb'),
    FILE("fa-file", '\uf15b'),
    FILES_O("fa-files-o", '\uf0c5'),
    FILE_ARCHIVE_O("fa-file-archive-o", '\uf1c6'),
    FILE_AUDIO_O("fa-file-audio-o", '\uf1c7'),
    FILE_CODE_O("fa-file-code-o", '\uf1c9'),
    FILE_EXCEL_O("fa-file-excel-o", '\uf1c3'),
    FILE_IMAGE_O("fa-file-image-o", '\uf1c5'),
    FILE_MOVIE_O("fa-file-movie-o", '\uf1c8'),
    FILE_O("fa-file-o", '\uf016'),
    FILE_PDF_O("fa-file-pdf-o", '\uf1c1'),
    FILE_PHOTO_O("fa-file-photo-o", '\uf1c5'),
    FILE_PICTURE_O("fa-file-picture-o", '\uf1c5'),
    FILE_POWERPOINT_O("fa-file-powerpoint-o", '\uf1c4'),
    FILE_SOUND_O("fa-file-sound-o", '\uf1c7'),
    FILE_TEXT("fa-file-text", '\uf15c'),
    FILE_TEXT_O("fa-file-text-o", '\uf0f6'),
    FILE_VIDEO_O("fa-file-video-o", '\uf1c8'),
    FILE_WORD_O("fa-file-word-o", '\uf1c2'),
    FILE_ZIP_O("fa-file-zip-o", '\uf1c6'),
    FILM("fa-film", '\uf008'),
    FILTER("fa-filter", '\uf0b0'),
    FIRE("fa-fire", '\uf06d'),
    FIREFOX("fa-firefox", '\uf269'),
    FIRE_EXTINGUISHER("fa-fire-extinguisher", '\uf134'),
    FIRST_ORDER("fa-first-order", '\uf2b0'),
    FLAG("fa-flag", '\uf024'),
    FLAG_CHECKERED("fa-flag-checkered", '\uf11e'),
    FLAG_O("fa-flag-o", '\uf11d'),
    FLASH("fa-flash", '\uf0e7'),
    FLASK("fa-flask", '\uf0c3'),
    FLICKR("fa-flickr", '\uf16e'),
    FLOPPY_O("fa-floppy-o", '\uf0c7'),
    FOLDER("fa-folder", '\uf07b'),
    FOLDER_O("fa-folder-o", '\uf114'),
    FOLDER_OPEN("fa-folder-open", '\uf07c'),
    FOLDER_OPEN_O("fa-folder-open-o", '\uf115'),
    FONT("fa-font", '\uf031'),
    FONTICONS("fa-fonticons", '\uf280'),
    FONT_AWESOME("fa-font-awesome", '\uf2b4'),
    FORT_AWESOME("fa-fort-awesome", '\uf286'),
    FORUMBEE("fa-forumbee", '\uf211'),
    FORWARD("fa-forward", '\uf04e'),
    FOURSQUARE("fa-foursquare", '\uf180'),
    FREE_CODE_CAMP("fa-free-code-camp", '\uf2c5'),
    FROWN_O("fa-frown-o", '\uf119'),
    FUTBOL_O("fa-futbol-o", '\uf1e3'),
    GAMEPAD("fa-gamepad", '\uf11b'),
    GAVEL("fa-gavel", '\uf0e3'),
    GBP("fa-gbp", '\uf154'),
    GE("fa-ge", '\uf1d1'),
    GEAR("fa-gear", '\uf013'),
    GEARS("fa-gears", '\uf085'),
    GENDERLESS("fa-genderless", '\uf1db'),
    GET_POCKET("fa-get-pocket", '\uf265'),
    GG("fa-gg", '\uf260'),
    GG_CIRCLE("fa-gg-circle", '\uf261'),
    GIFT("fa-gift", '\uf06b'),
    GIT("fa-git", '\uf1d3'),
    GITHUB("fa-github", '\uf09b'),
    GITHUB_ALT("fa-github-alt", '\uf113'),
    GITHUB_SQUARE("fa-github-square", '\uf092'),
    GITLAB("fa-gitlab", '\uf296'),
    GITTIP("fa-gittip", '\uf184'),
    GIT_SQUARE("fa-git-square", '\uf1d2'),
    GLASS("fa-glass", '\uf000'),
    GLIDE("fa-glide", '\uf2a5'),
    GLIDE_G("fa-glide-g", '\uf2a6'),
    GLOBE("fa-globe", '\uf0ac'),
    GOOGLE("fa-google", '\uf1a0'),
    GOOGLE_PLUS("fa-google-plus", '\uf0d5'),
    GOOGLE_PLUST_CIRCLE("fa-google-plus-circle", '\uf2b3'),
    GOOGLE_PLUST_OFFICIAL("fa-google-plus-official", '\uf2b3'),
    GOOGLE_PLUS_SQUARE("fa-google-plus-square", '\uf0d4'),
    GOOGLE_WALLET("fa-google-wallet", '\uf1ee'),
    GRADUATION_CAP("fa-graduation-cap", '\uf19d'),
    GRATIPAY("fa-gratipay", '\uf184'),
    GRAV("fa-grav", '\uf2d6'),
    GROUP("fa-group", '\uf0c0'),
    HACKER_NEWS("fa-hacker-news", '\uf1d4'),
    HANDSHAKE_O("fa-handshake-o", '\uf2b5'),
    HAND_GRAB_O("fa-hand-grab-o", '\uf255'),
    HAND_LIZARD_O("fa-hand-lizard-o", '\uf258'),
    HAND_O_DOWN("fa-hand-o-down", '\uf0a7'),
    HAND_O_LEFT("fa-hand-o-left", '\uf0a5'),
    HAND_O_RIGHT("fa-hand-o-right", '\uf0a4'),
    HAND_O_UP("fa-hand-o-up", '\uf0a6'),
    HAND_PAPER_O("fa-hand-paper-o", '\uf256'),
    HAND_PEACE_O("fa-hand-peace-o", '\uf25b'),
    HAND_POINTER_O("fa-hand-pointer-o", '\uf25a'),
    HAND_ROCK_O("fa-hand-rock-o", '\uf255'),
    HAND_SCISSORS_O("fa-hand-scissors-o", '\uf257'),
    HAND_SPOCK_O("fa-hand-spock-o", '\uf259'),
    HAND_STOP_O("fa-hand-stop-o", '\uf256'),
    HARD_OF_HEARING("fa-hard-of-hearing", '\uf2a4'),
    HASHTAG("fa-hashtag", '\uf292'),
    HDD_O("fa-hdd-o", '\uf0a0'),
    HEADER("fa-header", '\uf1dc'),
    HEADPHONES("fa-headphones", '\uf025'),
    HEART("fa-heart", '\uf004'),
    HEARTBEAT("fa-heartbeat", '\uf21e'),
    HEART_O("fa-heart-o", '\uf08a'),
    HISTORY("fa-history", '\uf1da'),
    HOME("fa-home", '\uf015'),
    HOSPITAL_O("fa-hospital-o", '\uf0f8'),
    HOTEL("fa-hotel", '\uf236'),
    HOURGLASS("fa-hourglass", '\uf254'),
    HOURGLASS_1("fa-hourglass-1", '\uf251'),
    HOURGLASS_2("fa-hourglass-2", '\uf252'),
    HOURGLASS_3("fa-hourglass-3", '\uf253'),
    HOURGLASS_END("fa-hourglass-end", '\uf253'),
    HOURGLASS_HALF("fa-hourglass-half", '\uf252'),
    HOURGLASS_O("fa-hourglass-o", '\uf250'),
    HOURGLASS_START("fa-hourglass-start", '\uf251'),
    HOUZZ("fa-houzz", '\uf27c'),
    HTML5("fa-html5", '\uf13b'),
    H_SQUARE("fa-h-square", '\uf0fd'),
    ID_BADGE("fa-id-badge", '\uf2c1'),
    ID_CARD("fa-id-card", '\uf2c2'),
    ID_CARD_O("fa-id-card-o", '\uf2c3'),
    ILS("fa-ils", '\uf20b'),
    IMAGE("fa-image", '\uf03e'),
    IMDB("fa-imdb", '\uf2d8'),
    INBOX("fa-inbox", '\uf01c'),
    INDENT("fa-indent", '\uf03c'),
    INDUSTRY("fa-industry", '\uf275'),
    INFO("fa-info", '\uf129'),
    INFO_CIRCLE("fa-info-circle", '\uf05a'),
    INR("fa-inr", '\uf156'),
    INSTAGRAM("fa-instagram", '\uf16d'),
    INSTITUTION("fa-institution", '\uf19c'),
    INTERNET_EXPLORER("fa-internet-explorer", '\uf26b'),
    IOXHOST("fa-ioxhost", '\uf208'),
    ITALIC("fa-italic", '\uf033'),
    I_CURSOR("fa-i-cursor", '\uf246'),
    JOOMLA("fa-joomla", '\uf1aa'),
    JPY("fa-jpy", '\uf157'),
    JSFIDDLE("fa-jsfiddle", '\uf1cc'),
    KEY("fa-key", '\uf084'),
    KEYBOARD_O("fa-keyboard-o", '\uf11c'),
    KRW("fa-krw", '\uf159'),
    LANGUAGE("fa-language", '\uf1ab'),
    LAPTOP("fa-laptop", '\uf109'),
    LASTFM("fa-lastfm", '\uf202'),
    LASTFM_SQUARE("fa-lastfm-square", '\uf203'),
    LEAF("fa-leaf", '\uf06c'),
    LEANPUB("fa-leanpub", '\uf212'),
    LEGAL("fa-legal", '\uf0e3'),
    LEMON_O("fa-lemon-o", '\uf094'),
    LEVEL_DOWN("fa-level-down", '\uf149'),
    LEVEL_UP("fa-level-up", '\uf148'),
    LIFE_BOUY("fa-life-bouy", '\uf1cd'),
    LIFE_BUOY("fa-life-buoy", '\uf1cd'),
    LIFE_RING("fa-life-ring", '\uf1cd'),
    LIFE_SAVER("fa-life-saver", '\uf1cd'),
    LIGHTBULB_O("fa-lightbulb-o", '\uf0eb'),
    LINE_CHART("fa-line-chart", '\uf201'),
    LINK("fa-link", '\uf0c1'),
    LINKEDIN("fa-linkedin", '\uf0e1'),
    LINKEDIN_SQUARE("fa-linkedin-square", '\uf08c'),
    LINODE("fa-linode", '\uf2b8'),
    LINUX("fa-linux", '\uf17c'),
    LIST("fa-list", '\uf03a'),
    LIST_ALT("fa-list-alt", '\uf022'),
    LIST_OL("fa-list-ol", '\uf0cb'),
    LIST_UL("fa-list-ul", '\uf0ca'),
    LOCATION_ARROW("fa-location-arrow", '\uf124'),
    LOCK("fa-lock", '\uf023'),
    LONG_ARROW_DOWN("fa-long-arrow-down", '\uf175'),
    LONG_ARROW_LEFT("fa-long-arrow-left", '\uf177'),
    LONG_ARROW_RIGHT("fa-long-arrow-right", '\uf178'),
    LONG_ARROW_UP("fa-long-arrow-up", '\uf176'),
    LOW_VISION("fa-low-vision", '\uf2a8'),
    MAGIC("fa-magic", '\uf0d0'),
    MAGNET("fa-magnet", '\uf076'),
    MAIL_FORWARD("fa-mail-forward", '\uf064'),
    MAIL_REPLY("fa-mail-reply", '\uf112'),
    MAIL_REPLY_ALL("fa-mail-reply-all", '\uf122'),
    MALE("fa-male", '\uf183'),
    MAP("fa-map", '\uf279'),
    MAP_MARKER("fa-map-marker", '\uf041'),
    MAP_O("fa-map-o", '\uf278'),
    MAP_PIN("fa-map-pin", '\uf276'),
    MAP_SIGNS("fa-map-signs", '\uf277'),
    MARS("fa-mars", '\uf222'),
    MARS_DOUBLE("fa-mars-double", '\uf227'),
    MARS_STROKE("fa-mars-stroke", '\uf229'),
    MARS_STROKE_H("fa-mars-stroke-h", '\uf22b'),
    MARS_STROKE_V("fa-mars-stroke-v", '\uf22a'),
    MAXCDN("fa-maxcdn", '\uf136'),
    MEANPATH("fa-meanpath", '\uf20c'),
    MEDIUM("fa-medium", '\uf23a'),
    MEDKIT("fa-medkit", '\uf0fa'),
    MEETUP("fa-meetup", '\uf2e0'),
    MEH_O("fa-meh-o", '\uf11a'),
    MERCURY("fa-mercury", '\uf223'),
    MICROCHIP("fa-microchip", '\uf2db'),
    MICROPHONE("fa-microphone", '\uf130'),
    MICROPHONE_SLASH("fa-microphone-slash", '\uf131'),
    MINUS("fa-minus", '\uf068'),
    MINUS_CIRCLE("fa-minus-circle", '\uf056'),
    MINUS_SQUARE("fa-minus-square", '\uf146'),
    MINUS_SQUARE_O("fa-minus-square-o", '\uf147'),
    MIXCLOUD("fa-mixcloud", '\uf289'),
    MOBILE("fa-mobile", '\uf10b'),
    MOBILE_PHONE("fa-mobile-phone", '\uf10b'),
    MODX("fa-modx", '\uf285'),
    MONEY("fa-money", '\uf0d6'),
    MOON_O("fa-moon-o", '\uf186'),
    MORTAR_BOARD("fa-mortar-board", '\uf19d'),
    MOTORCYCLE("fa-motorcycle", '\uf21c'),
    MOUSE_POINTER("fa-mouse-pointer", '\uf245'),
    MUSIC("fa-music", '\uf001'),
    NAVICON("fa-navicon", '\uf0c9'),
    NEUTER("fa-neuter", '\uf22c'),
    NEWSPAPER_O("fa-newspaper-o", '\uf1ea'),
    OBJECT_GROUP("fa-object-group", '\uf247'),
    OBJECT_UNGROUP("fa-object-ungroup", '\uf248'),
    ODNOKLASSNIKI("fa-odnoklassniki", '\uf263'),
    ODNOKLASSNIKI_SQUARE("fa-odnoklassniki-square", '\uf264'),
    OPENCART("fa-opencart", '\uf23d'),
    OPENID("fa-openid", '\uf19b'),
    OPERA("fa-opera", '\uf26a'),
    OPTIN_MONSTER("fa-optin-monster", '\uf23c'),
    OUTDENT("fa-outdent", '\uf03b'),
    PAGELINES("fa-pagelines", '\uf18c'),
    PAINT_BRUSH("fa-paint-brush", '\uf1fc'),
    PAPERCLIP("fa-paperclip", '\uf0c6'),
    PAPER_PLANE("fa-paper-plane", '\uf1d8'),
    PAPER_PLANE_O("fa-paper-plane-o", '\uf1d9'),
    PARAGRAPH("fa-paragraph", '\uf1dd'),
    PASTE("fa-paste", '\uf0ea'),
    PAUSE("fa-pause", '\uf04c'),
    PAUSE_CIRCLE("fa-pause-circle", '\uf28b'),
    PAUSE_CIRCLE_O("fa-pause-circle-o", '\uf28c'),
    PAW("fa-paw", '\uf1b0'),
    PAYPAL("fa-paypal", '\uf1ed'),
    PENCIL("fa-pencil", '\uf040'),
    PENCIL_SQUARE("fa-pencil-square", '\uf14b'),
    PENCIL_SQUARE_O("fa-pencil-square-o", '\uf044'),
    PERCENT("fa-percent", '\uf295'),
    PHONE("fa-phone", '\uf095'),
    PHONE_SQUARE("fa-phone-square", '\uf098'),
    PHOTO("fa-photo", '\uf03e'),
    PICTURE_O("fa-picture-o", '\uf03e'),
    PIED_PIPER("fa-pied-piper", '\uf2ae'),
    PIED_PIPER_ALT("fa-pied-piper-alt", '\uf1a8'),
    PIED_PIPER_PP("fa-pied-piper-pp", '\uf1a7'),
    PIE_CHART("fa-pie-chart", '\uf200'),
    PINTEREST("fa-pinterest", '\uf0d2'),
    PINTEREST_P("fa-pinterest-p", '\uf231'),
    PINTEREST_SQUARE("fa-pinterest-square", '\uf0d3'),
    PLANE("fa-plane", '\uf072'),
    PLAY("fa-play", '\uf04b'),
    PLAY_CIRCLE("fa-play-circle", '\uf144'),
    PLAY_CIRCLE_O("fa-play-circle-o", '\uf01d'),
    PLUG("fa-plug", '\uf1e6'),
    PLUS("fa-plus", '\uf067'),
    PLUS_CIRCLE("fa-plus-circle", '\uf055'),
    PLUS_SQUARE("fa-plus-square", '\uf0fe'),
    PLUS_SQUARE_O("fa-plus-square-o", '\uf196'),
    PODCAST("fa-podcast", '\uf2ce'),
    POWER_OFF("fa-power-off", '\uf011'),
    PRINT("fa-print", '\uf02f'),
    PRODUCT_HUNT("fa-product-hunt", '\uf288'),
    PUZZLE_PIECE("fa-puzzle-piece", '\uf12e'),
    QQ("fa-qq", '\uf1d6'),
    QRCODE("fa-qrcode", '\uf029'),
    QUESTION("fa-question", '\uf128'),
    QUESTION_CIRCLE("fa-question-circle", '\uf059'),
    QUESTION_CIRCLE_O("fa-question-circle-o", '\uf29c'),
    QUORA("fa-quora", '\uf2c4'),
    QUOTE_LEFT("fa-quote-left", '\uf10d'),
    QUOTE_RIGHT("fa-quote-right", '\uf10e'),
    RA("fa-ra", '\uf1d0'),
    RANDOM("fa-random", '\uf074'),
    RAVELRY("fa-ravelry", '\uf2d9'),
    REBEL("fa-rebel", '\uf1d0'),
    RECYCLE("fa-recycle", '\uf1b8'),
    REDDIT("fa-reddit", '\uf1a1'),
    REDDIT_ALIEN("fa-reddit-alien", '\uf281'),
    REDDIT_SQUARE("fa-reddit-square", '\uf1a2'),
    REFRESH("fa-refresh", '\uf021'),
    REGISTERED("fa-registered", '\uf25d'),
    REMOVE("fa-remove", '\uf00d'),
    RENREN("fa-renren", '\uf18b'),
    REORDER("fa-reorder", '\uf0c9'),
    REPEAT("fa-repeat", '\uf01e'),
    REPLY("fa-reply", '\uf112'),
    REPLY_ALL("fa-reply-all", '\uf122'),
    RESISTANCE("fa-resistance", '\uf1d0'),
    RETWEET("fa-retweet", '\uf079'),
    RMB("fa-rmb", '\uf157'),
    ROAD("fa-road", '\uf018'),
    ROCKET("fa-rocket", '\uf135'),
    ROTATE_LEFT("fa-rotate-left", '\uf0e2'),
    ROTATE_RIGHT("fa-rotate-right", '\uf01e'),
    ROUBLE("fa-rouble", '\uf158'),
    RSS("fa-rss", '\uf09e'),
    RSS_SQUARE("fa-rss-square", '\uf143'),
    RUB("fa-rub", '\uf158'),
    RUBLE("fa-ruble", '\uf158'),
    RUPEE("fa-rupee", '\uf156'),
    S15("fa-s15", '\uf2cd'),
    SAFARI("fa-safari", '\uf267'),
    SAVE("fa-save", '\uf0c7'),
    SCISSORS("fa-scissors", '\uf0c4'),
    SCRIBD("fa-scribd", '\uf28a'),
    SEARCH("fa-search", '\uf002'),
    SEARCH_MINUS("fa-search-minus", '\uf010'),
    SEARCH_PLUS("fa-search-plus", '\uf00e'),
    SELLSY("fa-sellsy", '\uf213'),
    SEND("fa-send", '\uf1d8'),
    SEND_O("fa-send-o", '\uf1d9'),
    SERVER("fa-server", '\uf233'),
    SHARE("fa-share", '\uf064'),
    SHARE_ALT("fa-share-alt", '\uf1e0'),
    SHARE_ALT_SQUARE("fa-share-alt-square", '\uf1e1'),
    SHARE_SQUARE("fa-share-square", '\uf14d'),
    SHARE_SQUARE_O("fa-share-square-o", '\uf045'),
    SHEKEL("fa-shekel", '\uf20b'),
    SHEQEL("fa-sheqel", '\uf20b'),
    SHIELD("fa-shield", '\uf132'),
    SHIP("fa-ship", '\uf21a'),
    SHIRTSINBULK("fa-shirtsinbulk", '\uf214'),
    SHOPPING_BAG("fa-shopping-bag", '\uf290'),
    SHOPPING_BASKET("fa-shopping-basket", '\uf291'),
    SHOPPING_CART("fa-shopping-cart", '\uf07a'),
    SHOWER("fa-shower", '\uf2cc'),
    SIGNAL("fa-signal", '\uf012'),
    SIGNING("fa-signing", '\uf2a7'),
    SIGN_IN("fa-sign-in", '\uf090'),
    SIGN_LANGUAGE("fa-sign-language", '\uf2a7'),
    SIGN_OUT("fa-sign-out", '\uf08b'),
    SIMPLYBUILT("fa-simplybuilt", '\uf215'),
    SITEMAP("fa-sitemap", '\uf0e8'),
    SKYATLAS("fa-skyatlas", '\uf216'),
    SKYPE("fa-skype", '\uf17e'),
    SLACK("fa-slack", '\uf198'),
    SLIDERS("fa-sliders", '\uf1de'),
    SLIDESHARE("fa-slideshare", '\uf1e7'),
    SMILE_O("fa-smile-o", '\uf118'),
    SNAPCHAT("fa-snapchat", '\uf2ab'),
    SNAPCHAT_GHOST("fa-snapchat-ghost", '\uf2ac'),
    SNAPCHAT_SQUARE("fa-snapchat-square", '\uf2ad'),
    SNOWFLAKE_O("fa-snowflake-o", '\uf2dc'),
    SOCCER_BALL_O("fa-soccer-ball-o", '\uf1e3'),
    SORT("fa-sort", '\uf0dc'),
    SORT_ALPHA_ASC("fa-sort-alpha-asc", '\uf15d'),
    SORT_ALPHA_DESC("fa-sort-alpha-desc", '\uf15e'),
    SORT_AMOUNT_ASC("fa-sort-amount-asc", '\uf160'),
    SORT_AMOUNT_DESC("fa-sort-amount-desc", '\uf161'),
    SORT_ASC("fa-sort-asc", '\uf0de'),
    SORT_DESC("fa-sort-desc", '\uf0dd'),
    SORT_DOWN("fa-sort-down", '\uf0dd'),
    SORT_NUMERIC_ASC("fa-sort-numeric-asc", '\uf162'),
    SORT_NUMERIC_DESC("fa-sort-numeric-desc", '\uf163'),
    SORT_UP("fa-sort-up", '\uf0de'),
    SOUNDCLOUD("fa-soundcloud", '\uf1be'),
    SPACE_SHUTTLE("fa-space-shuttle", '\uf197'),
    SPINNER("fa-spinner", '\uf110'),
    SPOON("fa-spoon", '\uf1b1'),
    SPOTIFY("fa-spotify", '\uf1bc'),
    SQUARE("fa-square", '\uf0c8'),
    SQUARE_O("fa-square-o", '\uf096'),
    STACK_EXCHANGE("fa-stack-exchange", '\uf18d'),
    STACK_OVERFLOW("fa-stack-overflow", '\uf16c'),
    STAR("fa-star", '\uf005'),
    STAR_HALF("fa-star-half", '\uf089'),
    STAR_HALF_EMPTY("fa-star-half-empty", '\uf123'),
    STAR_HALF_FULL("fa-star-half-full", '\uf123'),
    STAR_HALF_O("fa-star-half-o", '\uf123'),
    STAR_O("fa-star-o", '\uf006'),
    STEAM("fa-steam", '\uf1b6'),
    STEAM_SQUARE("fa-steam-square", '\uf1b7'),
    STEP_BACKWARD("fa-step-backward", '\uf048'),
    STEP_FORWARD("fa-step-forward", '\uf051'),
    STETHOSCOPE("fa-stethoscope", '\uf0f1'),
    STICKY_NOTE("fa-sticky-note", '\uf249'),
    STICKY_NOTE_O("fa-sticky-note-o", '\uf24a'),
    STOP("fa-stop", '\uf04d'),
    STOP_CIRCLE("fa-stop-circle", '\uf28d'),
    STOP_CIRCLE_O("fa-stop-circle-o", '\uf28e'),
    STREET_VIEW("fa-street-view", '\uf21d'),
    STRIKETHROUGH("fa-strikethrough", '\uf0cc'),
    STUMBLEUPON("fa-stumbleupon", '\uf1a4'),
    STUMBLEUPON_CIRCLE("fa-stumbleupon-circle", '\uf1a3'),
    SUBSCRIPT("fa-subscript", '\uf12c'),
    SUBWAY("fa-subway", '\uf239'),
    SUITCASE("fa-suitcase", '\uf0f2'),
    SUN_O("fa-sun-o", '\uf185'),
    SUPERPOWERS("fa-superpowers", '\uf2dd'),
    SUPERSCRIPT("fa-superscript", '\uf12b'),
    SUPPORT("fa-support", '\uf1cd'),
    TABLE("fa-table", '\uf0ce'),
    TABLET("fa-tablet", '\uf10a'),
    TACHOMETER("fa-tachometer", '\uf0e4'),
    TAG("fa-tag", '\uf02b'),
    TAGS("fa-tags", '\uf02c'),
    TASKS("fa-tasks", '\uf0ae'),
    TAXI("fa-taxi", '\uf1ba'),
    TELEGRAM("fa-telegram", '\uf2c6'),
    TELEVISION("fa-television", '\uf26c'),
    TENCENT_WEIBO("fa-tencent-weibo", '\uf1d5'),
    TERMINAL("fa-terminal", '\uf120'),
    TEXT_HEIGHT("fa-text-height", '\uf034'),
    TEXT_WIDTH("fa-text-width", '\uf035'),
    TH("fa-th", '\uf00a'),
    THEMEISLE("fa-themeisle", '\uf2b2'),
    THERMOMETER("fa-thermometer", '\uf2c7'),
    THERMOMETER_0("fa-thermometer-0", '\uf2cb'),
    THERMOMETER_1("fa-thermometer-1", '\uf2ca'),
    THERMOMETER_2("fa-thermometer-2", '\uf2c9'),
    THERMOMETER_3("fa-thermometer-3", '\uf2c8'),
    THERMOMETER_4("fa-thermometer-4", '\uf2c7'),
    THERMOMETER_EMPTY("fa-thermometer-empty", '\uf2cb'),
    THERMOMETER_FULL("fa-thermometer-full", '\uf2c7'),
    THERMOMETER_HALF("fa-thermometer-half", '\uf2c9'),
    THERMOMETER_QUARTER("fa-thermometer-quarter", '\uf2ca'),
    THERMOMETER_THREE_QUARTERS("fa-thermometer-three-quarters", '\uf2c8'),
    THUMBS_DOWN("fa-thumbs-down", '\uf165'),
    THUMBS_O_DOWN("fa-thumbs-o-down", '\uf088'),
    THUMBS_O_UP("fa-thumbs-o-up", '\uf087'),
    THUMBS_UP("fa-thumbs-up", '\uf164'),
    THUMB_TACK("fa-thumb-tack", '\uf08d'),
    TH_LARGE("fa-th-large", '\uf009'),
    TH_LIST("fa-th-list", '\uf00b'),
    TICKET("fa-ticket", '\uf145'),
    TIMES("fa-times", '\uf00d'),
    TIMES_CIRCLE("fa-times-circle", '\uf057'),
    TIMES_CIRCLE_O("fa-times-circle-o", '\uf05c'),
    TIMES_RECTANGLE("fa-times-rectangle:", '\uf2d3'),
    TIMES_RECTANGLE_O("fa-times-rectangle-o", '\uf2d4'),
    TINT("fa-tint", '\uf043'),
    TOGGLE_DOWN("fa-toggle-down", '\uf150'),
    TOGGLE_LEFT("fa-toggle-left", '\uf191'),
    TOGGLE_OFF("fa-toggle-off", '\uf204'),
    TOGGLE_ON("fa-toggle-on", '\uf205'),
    TOGGLE_RIGHT("fa-toggle-right", '\uf152'),
    TOGGLE_UP("fa-toggle-up", '\uf151'),
    TRADEMARK("fa-trademark", '\uf25c'),
    TRAIN("fa-train", '\uf238'),
    TRANSGENDER("fa-transgender", '\uf224'),
    TRANSGENDER_ALT("fa-transgender-alt", '\uf225'),
    TRASH("fa-trash", '\uf1f8'),
    TRASH_O("fa-trash-o", '\uf014'),
    TREE("fa-tree", '\uf1bb'),
    TRELLO("fa-trello", '\uf181'),
    TRIPADVISOR("fa-tripadvisor", '\uf262'),
    TROPHY("fa-trophy", '\uf091'),
    TRUCK("fa-truck", '\uf0d1'),
    TRY("fa-try", '\uf195'),
    TTY("fa-tty", '\uf1e4'),
    TUMBLR("fa-tumblr", '\uf173'),
    TUMBLR_SQUARE("fa-tumblr-square", '\uf174'),
    TURKISH_LIRA("fa-turkish-lira", '\uf195'),
    TV("fa-tv", '\uf26c'),
    TWITCH("fa-twitch", '\uf1e8'),
    TWITTER("fa-twitter", '\uf099'),
    TWITTER_SQUARE("fa-twitter-square", '\uf081'),
    UMBRELLA("fa-umbrella", '\uf0e9'),
    UNDERLINE("fa-underline", '\uf0cd'),
    UNDO("fa-undo", '\uf0e2'),
    UNIVERSAL_ACCESS("fa-universal-access", '\uf29a'),
    UNIVERSITY("fa-university", '\uf19c'),
    UNLINK("fa-unlink", '\uf127'),
    UNLOCK("fa-unlock", '\uf09c'),
    UNLOCK_ALT("fa-unlock-alt", '\uf13e'),
    UNSORTED("fa-unsorted", '\uf0dc'),
    UPLOAD("fa-upload", '\uf093'),
    USB("fa-usb", '\uf287'),
    USD("fa-usd", '\uf155'),
    USER("fa-user", '\uf007'),
    USERS("fa-users", '\uf0c0'),
    USER_CIRCLE("fa-user-circle", '\uf2bd'),
    USER_CIRCLE_O("fa-user-circle-o", '\uf2be'),
    USER_MD("fa-user-md", '\uf0f0'),
    USER_O("fa-user-o", '\uf2c0'),
    USER_PLUS("fa-user-plus", '\uf234'),
    USER_SECRET("fa-user-secret", '\uf21b'),
    USER_TIMES("fa-user-times", '\uf235'),
    VCARD("fa-vcard", '\uf2bb'),
    VCARD_O("fa-vcard-o", '\uf2bc'),
    VENUS("fa-venus", '\uf221'),
    VENUS_DOUBLE("fa-venus-double", '\uf226'),
    VENUS_MARS("fa-venus-mars", '\uf228'),
    VIACOIN("fa-viacoin", '\uf237'),
    VIADEO("fa-viadeo", '\uf2a9'),
    VIADEO_SQUARE("fa-viadeo-square", '\uf2aa'),
    VIDEO_CAMERA("fa-video-camera", '\uf03d'),
    VIMEO("fa-vimeo", '\uf27d'),
    VIMEO_SQUARE("fa-vimeo-square", '\uf194'),
    VINE("fa-vine", '\uf1ca'),
    VK("fa-vk", '\uf189'),
    VOLUME_CONTROL_PHONE("fa-volume-control-phone", '\uf2a0'),
    VOLUME_DOWN("fa-volume-down", '\uf027'),
    VOLUME_OFF("fa-volume-off", '\uf026'),
    VOLUME_UP("fa-volume-up", '\uf028'),
    WARNING("fa-warning", '\uf071'),
    WECHAT("fa-wechat", '\uf1d7'),
    WEIBO("fa-weibo", '\uf18a'),
    WEIXIN("fa-weixin", '\uf1d7'),
    WHATSAPP("fa-whatsapp", '\uf232'),
    WHEELCHAIR("fa-wheelchair", '\uf193'),
    WHEELCHAIR_ALT("fa-wheelchair-alt", '\uf29b'),
    WIFI("fa-wifi", '\uf1eb'),
    WIKIPEDIA_W("fa-wikipedia-w", '\uf266'),
    WINDOWS("fa-windows", '\uf17a'),
    WINDOW_CLOSE("fa-window-close", '\uf2d3'),
    WINDOW_CLOSE_O("fa-window-close-o", '\uf2d4'),
    WINDOW_MAXIMIZE("fa-window-maximize", '\uf2d0'),
    WINDOW_MINIMIZE("fa-window-minimize", '\uf2d1'),
    WINDOW_RESTORE("fa-window-restore", '\uf2d2'),
    WON("fa-won", '\uf159'),
    WORDPRESS("fa-wordpress", '\uf19a'),
    WPBEGINNER("fa-wpbeginner", '\uf297'),
    WPEXPLORER("fa-wpexplorer", '\uf2de'),
    WPFORMS("fa-wpforms", '\uf298'),
    WRENCH("fa-wrench", '\uf0ad'),
    XING("fa-xing", '\uf168'),
    XING_SQUARE("fa-xing-square", '\uf169'),
    YAHOO("fa-yahoo", '\uf19e'),
    YC("fa-yc", '\uf23b'),
    YELP("fa-yelp", '\uf1e9'),
    YEN("fa-yen", '\uf157'),
    YOAST("fa-yoast", '\uf2b1'),
    YOUTUBE("fa-youtube", '\uf167'),
    YOUTUBE_PLAY("fa-youtube-play", '\uf16a'),
    YOUTUBE_SQUARE("fa-youtube-square", '\uf166'),
    Y_COMBINATOR("fa-y-combinator", '\uf23b');

    public static FontAwesome findByDescription(String description) {
        for (FontAwesome font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private char code;

    FontAwesome(String description, char code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public char getCode() {
        return code;
    }
}